/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.enums;

import com.darwino.domino.napi.DominoAPI;

/**
 * @author Jesse Gallagher
 * @since 2.5.0
 * @see actods.h
 */
public enum ActionFlag implements INumberEnum<Integer> {
	SHOW_IN_MENU(DominoAPI.ACTION_SHOW_IN_MENU), SHOW_IN_BAR(DominoAPI.ACTION_SHOW_IN_BAR),
	SHOW_WHEN_PREVIEWING(DominoAPI.ACTION_SHOW_WHEN_PREVIEWING),
	SHOW_WHEN_READING(DominoAPI.ACTION_SHOW_WHEN_READING),
	SHOW_WHEN_EDITING(DominoAPI.ACTION_SHOW_WHEN_EDITING),
	SHOW_ON_OLE_LAUNCH(DominoAPI.ACTION_SHOW_ON_OLE_LAUNCH),
	OLE_CLOSE_WHEN_CHOSEN(DominoAPI.ACTION_OLE_CLOSE_WHEN_CHOSEN),
	NO_FORMULA(DominoAPI.ACTION_NO_FORMULA), SHOW_WHEN_PREVEDITING(DominoAPI.ACTION_SHOW_WHEN_PREVEDITING),
	OLE_DOC_WINDOW_TO_FRONT(DominoAPI.ACTION_OLE_DOC_WINDOW_TO_FRONT),
	HIDE_FROM_NOTES(DominoAPI.ACTION_HIDE_FROM_NOTES), HIDE_FROM_WEB(DominoAPI.ACTION_HIDE_FROM_WEB),
	READING_ORDER_RTL(DominoAPI.ACTION_READING_ORDER_RTL), SHARED(DominoAPI.ACTION_SHARED),
	MODIFIED(DominoAPI.ACTION_MODIFIED), ALWAYS_SHARED(DominoAPI.ACTION_ALWAYS_SHARED),
	ALIGN_ICON_RIGHT(DominoAPI.ACTION_ALIGN_ICON_RIGHT), IMAGE_RESOURCE_ICON(DominoAPI.ACTION_IMAGE_RESOURCE_ICON),
	FRAME_TARGET(DominoAPI.ACTION_FRAME_TARGET), TEXT_ONLY_IN_MENU(DominoAPI.ACTION_TEXT_ONLY_IN_MENU),
	BUTTON_TO_RIGHT(DominoAPI.ACTION_BUTTON_TO_RIGHT), SHOW_IN_POPUPMENU(DominoAPI.ACTION_SHOW_IN_POPUPMENU),
	HIDE_FROM_MOBILE(DominoAPI.ACTION_HIDE_FROM_MOBILE);
	
	private final int value;
	
	private ActionFlag(int value) {
		this.value = value;
	}
	
	@Override
	public Integer getValue() {
		return value;
	}
	
	@Override
	public long getLongValue() {
		return value;
	}
}
