/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.exceptions;

import com.darwino.domino.napi.DominoAPI;
import com.darwino.domino.napi.DominoException;

/**
 * This is a specialized variant of {@link DominoException} that is thrown in the event
 * of {@link DominoAPI#ERR_CANCEL}.
 * 
 * @author Jesse Gallagher
 * @since 2.5.0
 */
public class DominoCancelException extends DominoException {
	private static final long serialVersionUID = 1L;

	public DominoCancelException(Throwable nextException, int status, String msg, Object... params) {
		super(nextException, status, msg, params);
	}

	public DominoCancelException(Throwable nextException, String msg, Object... params) {
		super(nextException, msg, params);
	}

	public DominoCancelException(Throwable nextException) {
		super(nextException);
	}

}
