/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.proc;

import com.darwino.domino.napi.DominoException;

/**
 * Proc for enumerating profile documents via NSFProfileEnum (nsfnote.h)
 * 
 * @since Notes/Domino 4.6.1
 */
public abstract class NSFPROFILEENUMPROC extends BaseProc {
	
	static {
		initNative();
	}
	private static final native void initNative();

	public abstract short callback(long hDB, String profileName, String userName, int profileNoteId) throws DominoException; 
}
