/**
 * Copyright © 2014-2019 Darwino, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.darwino.domino.napi.struct;


import com.darwino.domino.napi.c.C;

/**
 * (nsfnote.h)
 * 
 * @author Jesse Gallagher
 * @since 2.5.0
 */
public class LSCOMPILE_ERR_INFO extends BaseStruct {
	static {
		int[] sizes = new int[5];
		initNative(sizes);
		sizeOf = sizes[0];
		_Version = sizes[1];
		_Line = sizes[2];
		_pErrText = sizes[3];
		_pErrFile = sizes[4];
	}
	private static final native void initNative(int[] sizes);
	
	// Statically initialized fields
	public static final int sizeOf;
	public static final int _Version;
	public static final int _Line;
	public static final int _pErrText;
	public static final int _pErrFile;
	
	public LSCOMPILE_ERR_INFO() {
		super(SMM.malloc(sizeOf), true);
	}
	public LSCOMPILE_ERR_INFO(long data) {
		super(data, false);
	}

	public LSCOMPILE_ERR_INFO(long data, boolean owned) {
		super(data, owned);
	}
	
	/* ******************************************************************************
	 * Struct field getters/setters
	 ********************************************************************************/
	
	public short getVersion() {
		return _getWORD(_Version);
	}
	public short getLine() {
		return _getWORD(_Line);
	}

	
	/* ******************************************************************************
	 * Variable data
	 ********************************************************************************/
	
	public String getErrText() {
		_checkRefValidity();
		return C.getLMBCSString(data, _pErrText);
	}
	public String getErrFile() {
		_checkRefValidity();
		return C.getLMBCSString(data, _pErrFile);
	}
}
